#!/usr/bin/env python3
from pequod_agent.models.manifest import Manifest


class Registry:

    def get_docker_image_name(self, repository_name: str, application_name: str) -> str:
        raise NotImplementedError()

    def get_manifest(self, repository_name: str, application_name: str, application_version: str) -> Manifest:
        raise NotImplementedError()

